aboutsummaryrefslogtreecommitdiff
path: root/package/dmraid
diff options
context:
space:
mode:
authorGravatar Eric Andersen <andersen@codepoet.org>2006-07-19 17:51:12 +0000
committerGravatar Eric Andersen <andersen@codepoet.org>2006-07-19 17:51:12 +0000
commita7b84fab16054511186a28064b5672576b09a24d (patch)
tree18c9e3dbf3c26f99dd8e8597aa6cb70edc065424 /package/dmraid
parent1c911f7f4f914376258f4bebaeeb6c537df818d1 (diff)
downloadbuildroot-a7b84fab16054511186a28064b5672576b09a24d.tar.gz
buildroot-a7b84fab16054511186a28064b5672576b09a24d.tar.bz2
oops
Diffstat (limited to 'package/dmraid')
-rw-r--r--package/dmraid/dmraid.init31
-rw-r--r--package/dmraid/dmraid.mk4
2 files changed, 33 insertions, 2 deletions
diff --git a/package/dmraid/dmraid.init b/package/dmraid/dmraid.init
new file mode 100644
index 0000000000..43240e266a
--- /dev/null
+++ b/package/dmraid/dmraid.init
@@ -0,0 +1,31 @@
+#!/bin/sh
+
+# try to load module in case that hasn't been done yet
+modprobe dm-mod >/dev/null 2>&1
+
+set -e
+
+[ -x /sbin/dmraid ] || exit 0
+
+case "$1" in
+ start|"")
+ echo "Setting up DMRAID devices..."
+ /sbin/dmraid --activate yes --ignorelocking --verbose
+ ;;
+
+ stop)
+ echo "Shutting down DMRAID devices... "
+ /sbin/dmraid --activate no --ignorelocking --verbose
+ ;;
+
+ restart|force-reload)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+
+ *)
+ echo "Usage: dmraid {start|stop|restart|force-reload}"
+ exit 1
+ ;;
+esac
diff --git a/package/dmraid/dmraid.mk b/package/dmraid/dmraid.mk
index 4135ba4f4f..57e04a98e2 100644
--- a/package/dmraid/dmraid.mk
+++ b/package/dmraid/dmraid.mk
@@ -18,7 +18,7 @@ $(DL_DIR)/$(DMRAID_SOURCE):
$(DMRAID_DIR)/.unpacked: $(DL_DIR)/$(DMRAID_SOURCE)
$(DMRAID_CAT) $(DL_DIR)/$(DMRAID_SOURCE) | tar -C $(BUILD_DIR) -xvf -
- $(SOURCE_DIR)/patch-kernel.sh $(DMRAID_DIR) $(SOURCE_DIR) dmraid\*.patch
+ toolchain/patch-kernel.sh $(DMRAID_DIR) package/dmraid \*.patch
touch $(DMRAID_DIR)/.unpacked
$(DMRAID_DIR)/.configured: $(DMRAID_DIR)/.unpacked
@@ -44,7 +44,7 @@ $(DMRAID_DIR)/tools/$(DMRAID_BINARY): $(DMRAID_DIR)/.configured
$(DMRAID_TARGET_BINARY): $(DMRAID_DIR)/tools/$(DMRAID_BINARY)
$(INSTALL) -m 0755 $? $@
- $(INSTALL) -m 0755 $(SOURCE_DIR)/dmraid.init $(TARGET_DIR)/etc/init.d/dmraid
+ $(INSTALL) -m 0755 package/dmraid/dmraid.init $(TARGET_DIR)/etc/init.d/dmraid
dmraid: uclibc dm $(DMRAID_TARGET_BINARY)